from setuptools import setup, find_packages

setup(
    name="pt_dev_utils",
    version="1.0.0",
    author="Smit Jethwa",
    author_email="smitjethwa20@gmail.com",
    description="Internal utility package for PT backend developers",
    long_description=open("README.md").read(),  # encoding omitted for Python 2 compatibility
    long_description_content_type="text/markdown",
    packages=find_packages(),
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3.10",
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "License :: Other/Proprietary License",
    ],
    python_requires=">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*",
    install_requires=[
        "six>=1.10.0",
        "python-dateutil>=2.8.0,<2.9.0",
    ],
)
